summaryrefslogtreecommitdiffstats
path: root/desktop/openbox/openbox.SlackBuild
diff options
context:
space:
mode:
author Chess Griffin2010-05-11 19:43:58 +0200
committer Robby Workman2010-05-11 19:43:58 +0200
commitdb22e1616dd08dc77ceb1ea5de68a20026e2d145 (patch)
tree671376958a5dcc04868098cff829ab169e7a1195 /desktop/openbox/openbox.SlackBuild
parenta9c884b8ebc0861e799ae849bb3287fe3ecef8a5 (diff)
downloadslackbuilds-db22e1616dd08dc77ceb1ea5de68a20026e2d145.tar.gz
desktop/openbox: Updated for version 3.4.6.1
Diffstat (limited to 'desktop/openbox/openbox.SlackBuild')
-rw-r--r--desktop/openbox/openbox.SlackBuild78
1 files changed, 57 insertions, 21 deletions
diff --git a/desktop/openbox/openbox.SlackBuild b/desktop/openbox/openbox.SlackBuild
index 231553917f..cb76a523df 100644
--- a/desktop/openbox/openbox.SlackBuild
+++ b/desktop/openbox/openbox.SlackBuild
@@ -2,17 +2,32 @@
# Slackware build script for Openbox
-# Written by Chess Griffin <chess at chessgriffin dot com>
-
-PRGNAM=openbox
-VERSION=3.3.1
-ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo}
-CWD=`pwd`
+# Written by Chess Griffin <chess@chessgriffin.com>
+# Modifications for KDE and GNOME xinitrc scripts
+# by Phillip Warner <pc_warner@yahoo.com>
+
+PRGNAM=openbox
+VERSION=3.4.6.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
+OUTPUT=${OUTPUT:-/tmp}
+
+# Set these to "YES" if you want your package to include a xinitrc file
+# for running Openbox in KDE or GNOME, respectively.
+# Otherwise, you can add the xinitrc files manually to /etc/X11/xinit and
+# the openbox-kde-session and openbox-gnome-session files to /usr/bin.
+# The files can be found under /usr/doc/openbox
+# Don't forget to make them executable if you copy them from /usr/doc!
+#
+# This can be specified on the command line when calling the build script:
+# KXINIT=YES ./openbox.SlackBuild
+KXINIT=${KXINIT:-NO}
+GXINIT=${GXINIT:-NO}
DOCS="ABOUT-NLS AUTHORS CHANGELOG COMPLIANCE COPYING README"
@@ -22,12 +37,14 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -37,30 +54,49 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- --enable-startup-notification \
- || exit 1
+ --mandir=/usr/man \
+ --enable-startup-notification
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-if [ -d $PKG/usr/man ]; then
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
-fi
# Add xinitrc.openbox so that openbox will show up as an option in xwmconfig
install -D -m 0755 $CWD/xinitrc.openbox $PKG/etc/X11/xinit/xinitrc.openbox
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# Optionally install xinitrc scripts for running Openbox in KDE or GNOME
+# Move the scripts from /usr/bin if the xinitrc scripts are not installed.
+if [ "$KXINIT" == "YES" ]; then
+ install -D -m 0755 $CWD/xinitrc.kde-openbox $PKG/etc/X11/xinit/xinitrc.kde-openbox
+else
+ cat $PKG/usr/bin/openbox-kde-session > $PKG/usr/share/doc/$PRGNAM/openbox-kde-session
+ rm -vf $PKG/usr/bin/openbox-kde-session
+fi
+if [ "$GXINIT" == "YES" ]; then
+ install -D -m 0755 $CWD/xinitrc.gnome-openbox $PKG/etc/X11/xinit/xinitrc.gnome-openbox
+else
+ cat $PKG/usr/bin/openbox-gnome-session > $PKG/usr/share/doc/$PRGNAM/openbox-gnome-session
+ rm -vf $PKG/usr/bin/openbox-gnome-session
+fi
+
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+rmdir $PKG/usr/share/doc
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+for i in $CWD/xinitrc.*openbox ; do
+ cat $i > $PKG/usr/doc/$PRGNAM-$VERSION/$(basename $i) ;
+done
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG/usr/doc ; ln -s $PRGNAM-$VERSION $PRGNAM )
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc